Create BalanceChargeSchedule - m3ter Documentation

Create BalanceChargeSchedule

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "currency": "<string>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "billFrequency": "<unknown>",
  "billFrequencyInterval": 183,
  "billInAdvance": true,
  "chargeDescription": "<string>",
  "version": 123,
  "customFields": {},
  "amount": 1,
  "units": 123,
  "unitPrice": 123,
  "billEpoch": "2023-12-25"
}
'

Python Example

import requests

url = "https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules"

payload = {
    "name": "<string>",
    "code": "<string>",
    "currency": "<string>",
    "servicePeriodStartDate": "2023-11-07T05:31:56Z",
    "servicePeriodEndDate": "2023-11-07T05:31:56Z",
    "billFrequency": "<unknown>",
    "billFrequencyInterval": 183,
    "billInAdvance": True,
    "chargeDescription": "<string>",
    "version": 123,
    "customFields": {},
    "amount": 1,
    "units": 123,
    "unitPrice": 123,
    "billEpoch": "2023-12-25"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    code: '<string>',
    currency: '<string>',
    servicePeriodStartDate: '2023-11-07T05:31:56Z',
    servicePeriodEndDate: '2023-11-07T05:31:56Z',
    billFrequency: '<unknown>',
    billFrequencyInterval: 183,
    billInAdvance: true,
    chargeDescription: '<string>',
    version: 123,
    customFields: {},
    amount: 1,
    units: 123,
    unitPrice: 123,
    billEpoch: '2023-12-25'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'code' => '<string>',
    'currency' => '<string>',
    'servicePeriodStartDate' => '2023-11-07T05:31:56Z',
    'servicePeriodEndDate' => '2023-11-07T05:31:56Z',
    'billFrequency' => '<unknown>',
    'billFrequencyInterval' => 183,
    'billInAdvance' => true,
    'chargeDescription' => '<string>',
    'version' => 123,
    'customFields' => [],
    'amount' => 1,
    'units' => 123,
    'unitPrice' => 123,
    'billEpoch' => '2023-12-25'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"currency\": \"<string>\",\n  \"servicePeriodStartDate\": \"2023-11-07T05:31:56Z\",\n  \"servicePeriodEndDate\": \"2023-11-07T05:31:56Z\",\n  \"billFrequency\": \"<unknown>\",\n  \"billFrequencyInterval\": 183,\n  \"billInAdvance\": true,\n  \"chargeDescription\": \"<string>\",\n  \"version\": 123,\n  \"customFields\": {},\n  \"amount\": 1,\n  \"units\": 123,\n  \"unitPrice\": 123,\n  \"billEpoch\": \"2023-12-25\"}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Structure

{
  "id": "<string>",
  "chargeDescription": "<string>",
  "version": 123,
  "customFields": {},
  "balanceId": "<string>",
  "name": "<string>",
  "code": "<string>",
  "amount": 123,
  "units": 123,
  "unitPrice": 123,
  "currency": "<string>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "billEpoch": "2023-12-25",
  "billFrequency": "<unknown>",
  "billFrequencyInterval": 123,
  "billInAdvance": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "nextRun": "2023-11-07T05:31:56Z",
  "previousRun": "2023-11-07T05:31:56Z"
}

Error Responses

{
  "message": "<string>"
}